Мы всегда поддерживали множество сторонних плагинов и активно работали над всеми необходимыми обновлениями для них. Однако недавно мы выяснили, что Unity 3D and Corona куда более популярны среди наших клиентов, чем остальные сторонние плагины. В настоящий момент эти фреймворки вместе с нативным SDK составляют 90% показов Appodeal.

Так как мы стремимся обеспечить высокую производительность нашего SDK и гарантировать стабильность продукта, мы считаем важным сконцентрироваться на развитии двух популярных плагинов вместо того, чтобы продолжать распределять ресурсы по всем фреймворкам. У нас много планов: мы продолжим улучшать SDK и предоставлять первоклассную поддержку для Unity 3D и Corona.

Таким образом, начиная с 14 марта 2018 года, мы сворачиваем поддержку всех плагинов, за исключением Unity 3D и Corona. Мы предупреждали всех пользователей, которых касаются эти изменения, в ноябре 2017 года и работали с ними в течение последних трех месяцев, чтобы убедиться, что адаптация к новым условиям проходит гладко.

Что это значит для тех, кто работает с другими плагинами и расширениями (не c Corona и Unity 3D)?

Не беспокойтесь: вы по-прежнему сможете использовать текущие версии плагинов и расширений, чтобы монетизировать свои приложения с Appodeal. Если Appodeal SDK уже интегрирован с вашим приложением, он будет работать и после 14 марта 2018 года.

Все последующие версии плагинов и расширений будут включать поддержку и обновления только для Corona и Unity 3D. Тем не менее, вы всегда можете интегрировать нативный Appodeal SDK и разработать собственные врапперы, чтобы продолжать получать последние обновления, исправления ошибок и пользоваться круглосуточной техподдержкой.

После 14 марта наша техподдержка будет работать только с запросами по Unity и Corona 3D.

Мы приносим извинения за неудобства и будем рады помочь вам адаптироваться.

Список плагинов, которые будут остановлены в разработке и выпуске обновлений к новым версиям SDK:

• AIR Native Extension v.3.0.4 (включая Android 2.1.4, iOS 2.1.4)

• Basic4Android v.2.1.4 (включая Android 2.1.4)

• SDKBOX for Cocos v.2.3.17 (включая Android 2.1.4, iOS 2.1.4)

• Cordova v.3.0.4 (включая Android 2.1.4, iOS 2.1.4)

• Game Maker v.3.0.4 (включая Android 2.1.4, iOS 2.1.4)

• libGDX v.2.1.0 (включая Android 2.1.0, iOS 2.1.0)

• PhoneGap v.3.0.4 (включая Android 2.1.4, iOS 2.1.4)

• Defold v.2.1.7 (включая Android 2.1.7, iOS 2.1.7)

• React Native v.2.1.4 (включая Android 2.1.4, iOS 2.1.4)

• Scirra Construct 2 v.2.0.3 (обновлено до Cordova v.3.0.4)

• Xamarin v.2.1.4 (включая Android 2.1.4, iOS 2.1.4)

• Unreal Engine v.2.1.4 (включая Android 2.1.4, iOS 2.1.4)

• Qt v.2.0 (включая Android 2.0, iOS 2.0)

• MonkeyX v.2.0.1 (включая Android 2.0, iOS 2.0)

• Stencyl v.2.0 (включая Android 2.0, iOS 2.0)

• Gideros v.2.0 (включая Android 2.0, iOS 2.0)

• Marmalade